# OCI-Collection::assignElem

(PHP 5, PHP 7, PECL OCI8 >= 1.1.0)

OCI-Collection::assignElem — Assigns a value to the element of the collection

### Description

OCI-Collection::assignElem ( int `$index` , mixed `$value` ) : bool

Assigns a value to the element with index `index`.

### Parameters

`index`

  The element index. First index is 0.

`value`

  Can be a string or a number.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- OCI-Collection::getElem